Subject: Re: [PATCH] Makefile: do not set setgid bit on directories on GNU/kFreeBSD

From: Jonathan Nieder <[email-masked]>
Date: Mon, 3 Oct 2011 02:19:49 -0500

Jonathan Nieder wrote:

> Since the setgid bit would only mean "do what you were going to do
> already", it's better to avoid setting it.  Accordingly, ever since
> v1.5.5-rc0~59^2 (Do not use GUID on dir in git init --share=all on
> FreeBSD, 2008-03-05), git on true FreeBSD has done exactly that.  Set
> DIR_HAS_BSD_GROUP_SEMANTICS in the makefile for GNU/kFreeBSD, too, so
> machines that use glibc with the kernel of FreeBSD get the same fix.
[...]
> Sorry to have taken so long to send this one out.  Anyway, it seems
> to me like the right thing to do.  Petr, what do you think?

fwiw:

Acked-by: Petr Salinger <[email-masked]>

Thanks for looking it over.